import java.util.*;

class Craps {
    public enum Status { CONTINUE, WON, LOST }; //enumeracao c/ const. 
    private static final Random randomNumbers = new Random();
    private static final int SNAKE_EYES = 2;
    private static final int TREY = 3;
    private static final int SEVEN = 7;
    private static final int YO_LEVEN = 11;
    private static final int BOX_CARS = 12;
  
    public void play() {
	int myPoint = 0;
	Status gameStatus;
	int sumOfDice = rollDice();

	switch(sumOfDice) {
	    case SEVEN:
	    case YO_LEVEN:
		gameStatus = Status.WON;
		break;
	    case SNAKE_EYES:
	    case TREY:
	    case BOX_CARS:
		gameStatus = Status.LOST;
	        break;
	    default:
		gameStatus = Status.CONTINUE;
		myPoint = sumOfDice;
		System.out.printf("Pontos: %d\n", myPoint);
		break;
	}
	while (gameStatus == Status.CONTINUE) {
	    sumOfDice = rollDice();
	    if (sumOfDice == myPoint) gameStatus = Status.WON;
	    else
	      if (sumOfDice == SEVEN) gameStatus = Status.LOST;
	}
	if (gameStatus == Status.WON) {
	   System.out.println("Jogador ganhou");
	} else {
	   System.out.println("Jogador perdeu");
	}
    }

    public int rollDice() {
	int die1 = randomNumbers.nextInt(6) + 1;
	int die2 = randomNumbers.nextInt(6) + 1;    
	int sum = die1 + die2;
	System.out.printf("Jogador obteve: %d + %d = %d\n",die1,die2,sum);
	return sum;
    }

} 

public class CrapsGame {
      public static void main(String args[]) {
	  Craps game1 = new Craps();
	  game1.play();
	  Craps.Status teste = Craps.Status.WON; //??????
	  System.out.println(teste);
      }
}