import java.util.*;
public class Cake {
      private String name;
      private Flavor flavor;

      public Cake (String name, Flavor flavor) {
	  this.name = name;
	  this.flavor = flavor;
      }
      public String getDescription() {
	  return name + " - Flavor: " + 
		 flavor + "- Kcal: " + flavor.getCalories();
      }
      public static void main (String args[]) {
	  Cake c2 = new Cake("Black forest 2", Flavor.CHOCOLATE);
	  System.out.println(c2.getDescription());

	  Cake c1 = new Cake("Black forest", Flavor.CHOCOLATE);
	  Flavor.CHOCOLATE.setCalories(130);
	  System.out.println(c1.getDescription());
      
	  List<Cake> cakes = new ArrayList<Cake>();
	  cakes.add(c1);
	  cakes.add(new Cake("Diplomat", Flavor.CHOCOLATE));
	  cakes.add(new Cake("Snow white", Flavor.VANILLA));
	  cakes.add(new Cake("Special lime", Flavor.LIME));
	  for (Cake c : cakes) {
	      System.out.println(c.getDescription());
	  }	
      }
}