 

public class NestedClassesTop {

      private int attribute = 99;

      public int getAttribute () { return attribute; }
      private InnerClass teste;
      
      /* tem acesso a outros membros da classe "TOP"
	 mesmo se forem privados   */
      private class InnerClass {
	  public InnerClass() {	
	      System.out.println(attribute);
	  }
      }

      /* funciona como uma classe externa, so que
	  esta aninhada em outra classe por conveniencia */
      private static class StaticNestedClass {
	  public StaticNestedClass(NestedClassesTop top) {
	      System.out.println(top.getAttribute());
	  }
      }

      public NestedClassesTop() {
	  new InnerClass();
	  new StaticNestedClass(this);
      }

      public static void main (String args[]) {
	  new NestedClassesTop();
      }
}